# DaprProtos.InvokeActorRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.InvokeActorRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.InvokeActorRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.InvokeActorRequestOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.InvokeActorRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.InvokeActorRequestOrBuilder

     InvokeActorRequest is the message to call an actor.

Protobuf type `dapr.proto.runtime.v1.InvokeActorRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.InvokeActorRequest.Builder` InvokeActorRequest is the message to call an actor.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `ACTOR_ID_FIELD_NUMBER`
`static int` `ACTOR_TYPE_FIELD_NUMBER`
`static int` `DATA_FIELD_NUMBER`
`static int` `METADATA_FIELD_NUMBER`
`static int` `METHOD_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` `map<string, string> metadata = 5;`
`boolean` `equals​(Object obj)`
`String` `getActorId()` `string actor_id = 2;`
`com.google.protobuf.ByteString` `getActorIdBytes()` `string actor_id = 2;`
`String` `getActorType()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getActorTypeBytes()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getData()` `bytes data = 4;`
`static DaprProtos.InvokeActorRequest` `getDefaultInstance()`
`DaprProtos.InvokeActorRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` `map<string, string> metadata = 5;`
`Map<String,​String>` `getMetadataMap()` `map<string, string> metadata = 5;`
`String` `getMetadataOrDefault​(String key, String defaultValue)` `map<string, string> metadata = 5;`
`String` `getMetadataOrThrow​(String key)` `map<string, string> metadata = 5;`
`String` `getMethod()` `string method = 3;`
`com.google.protobuf.ByteString` `getMethodBytes()` `string method = 3;`
`com.google.protobuf.Parser<DaprProtos.InvokeActorRequest>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprProtos.InvokeActorRequest.Builder` `newBuilder()`
`static DaprProtos.InvokeActorRequest.Builder` `newBuilder​(DaprProtos.InvokeActorRequest prototype)`
`DaprProtos.InvokeActorRequest.Builder` `newBuilderForType()`
`protected DaprProtos.InvokeActorRequest.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.InvokeActorRequest` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.InvokeActorRequest` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(byte[] data)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(InputStream input)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(ByteBuffer data)`
`static DaprProtos.InvokeActorRequest` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.InvokeActorRequest>` `parser()`
`DaprProtos.InvokeActorRequest.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### ACTOR_TYPE_FIELD_NUMBER

    public static final int ACTOR_TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### ACTOR_ID_FIELD_NUMBER

    public static final int ACTOR_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### METHOD_FIELD_NUMBER

    public static final int METHOD_FIELD_NUMBER

See Also:
  Constant Field Values

#### DATA_FIELD_NUMBER

    public static final int DATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getActorType

    public String getActorType()

`string actor_type = 1;`

Specified by:
  `getActorType` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The actorType.

#### getActorTypeBytes

    public com.google.protobuf.ByteString getActorTypeBytes()

`string actor_type = 1;`

Specified by:
  `getActorTypeBytes` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The bytes for actorType.

#### getActorId

    public String getActorId()

`string actor_id = 2;`

Specified by:
  `getActorId` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The actorId.

#### getActorIdBytes

    public com.google.protobuf.ByteString getActorIdBytes()

`string actor_id = 2;`

Specified by:
  `getActorIdBytes` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The bytes for actorId.

#### getMethod

    public String getMethod()

`string method = 3;`

Specified by:
  `getMethod` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The method.

#### getMethodBytes

    public com.google.protobuf.ByteString getMethodBytes()

`string method = 3;`

Specified by:
  `getMethodBytes` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The bytes for method.

#### getData

    public com.google.protobuf.ByteString getData()

`bytes data = 4;`

Specified by:
  `getData` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The data.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.InvokeActorRequestOrBuilder`
`map<string, string> metadata = 5;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

`map<string, string> metadata = 5;`

Specified by:
  `containsMetadata` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(ByteBuffer data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(ByteBuffer data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(com.google.protobuf.ByteString data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(com.google.protobuf.ByteString data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(byte[] data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(byte[] data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(InputStream input)
                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.InvokeActorRequest parseDelimitedFrom​(InputStream input)
                                                            throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.InvokeActorRequest parseDelimitedFrom​(InputStream input,
                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                            throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(com.google.protobuf.CodedInputStream input)
                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.InvokeActorRequest parseFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.InvokeActorRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.InvokeActorRequest.Builder newBuilder()

#### newBuilder

    public static DaprProtos.InvokeActorRequest.Builder newBuilder​(DaprProtos.InvokeActorRequest prototype)

#### toBuilder

    public DaprProtos.InvokeActorRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.InvokeActorRequest.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.InvokeActorRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.InvokeActorRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.InvokeActorRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.InvokeActorRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`